"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _utils = require("../utils");

var _constants = require("../constants");

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

var tokenType = 'search';
var trigger = (0, _utils.getTrigger)(tokenType);

var Search = /*#__PURE__*/function () {
  function Search(options) {
    _classCallCheck(this, Search);

    this.tokenType = tokenType;
    this.result = options;
    this.id = options.id;
    this.service = options.service;
    this.url = options.url;
    this.type = options.type;
    this.name = options.name;
    this.nameWithoutTrigger = options.nameWithoutTrigger || this.name; // prevent double `##` in case when search is like `#331 Some Issue`

    var nameWithoutTrigger = this.nameWithoutTrigger;
    if (nameWithoutTrigger[0] === trigger) this.content = nameWithoutTrigger;else this.content = trigger + nameWithoutTrigger;
    this.str = this.toString();
  }

  _createClass(Search, [{
    key: "toString",
    value: function toString() {
      var url = "".concat(_constants.grapeProtocol, "//").concat(this.service, "|").concat(this.type, "|").concat(this.id, "|").concat(this.url, "||");
      return "[".concat(this.name, "](").concat((0, _utils.encodeMdLink)(url), ")");
    }
  }]);

  return Search;
}();

exports["default"] = Search;