"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _utils = require("../utils");

var _constants = require("../constants");

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

var tokenType = 'user';
var trigger = (0, _utils.getTrigger)(tokenType);

var User = /*#__PURE__*/function () {
  function User(options) {
    _classCallCheck(this, User);

    this.tokenType = tokenType;
    this.id = options.id;
    this.username = options.username;
    this.url = options.url || "/chat/@".concat(this.username);
    this.service = 'chatgrape';
    this.type = 'chatgrapeuser';
    this.name = options.name;
    this.nameWithoutTrigger = options.nameWithoutTrigger || this.name; // prevent double `@@` in case when user name is `@User`

    var nameWithoutTrigger = this.nameWithoutTrigger;
    if (nameWithoutTrigger[0] === trigger) this.content = nameWithoutTrigger;else this.content = trigger + nameWithoutTrigger;
    this.str = this.toString();
  }

  _createClass(User, [{
    key: "toString",
    value: function toString() {
      var url = "".concat(_constants.grapeProtocol, "//chatgrape|user|").concat(this.id, "|").concat(this.url);
      return "[".concat(this.name, "](").concat((0, _utils.encodeMdLink)(url), ")");
    }
  }]);

  return User;
}();

exports["default"] = User;