"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _createPalette = _interopRequireWildcard(require("material-ui/styles/createPalette"));

var _baseColors = require("grape-theme/dist/base-colors");

var _orange = _interopRequireDefault(require("material-ui/colors/orange"));

var _color = _interopRequireDefault(require("color"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var palette = (0, _createPalette["default"])(_createPalette.light);
palette.primary[100] = _baseColors.white;
palette.primary[500] = _baseColors.green;
palette.primary[700] = (0, _color["default"])(_baseColors.green).lighten(0.2).rgbaString();
palette.secondary[500] = (0, _color["default"])(_baseColors.orange).lighten(0.2).rgbaString();
palette.secondary[700] = _baseColors.orange;
palette.secondary.A200 = _baseColors.blue;
palette.secondary.A100 = (0, _color["default"])(_baseColors.blue).lighten(0.2).rgbaString();
palette.error[500] = _baseColors.red;
palette.error[700] = (0, _color["default"])(_baseColors.red).lighten(0.2).rgbaString();
palette.text.primary = _baseColors.grayDark;
palette.text.secondary = _baseColors.grayBlueDark;
palette.text.lightDivider = _baseColors.grayBlueLighter;
palette.grey[100] = _baseColors.grayLight;
palette.grey[200] = _baseColors.grayMercury;
palette.grey[300] = _baseColors.grayBombay;
palette.grey.A100 = _baseColors.grayLighter;
palette.grey.A400 = _baseColors.grayDarker;
palette.orange = _orange["default"];
palette.blueGrey = palette.blueGrey || {};
palette.blueGrey[50] = _baseColors.grayBlueLighter;
palette.blueGrey[70] = (0, _color["default"])(_baseColors.grayBlueLighter).darken(0.05).hexString();
palette.blueGrey[100] = _baseColors.grayBlueLight;
palette.blueGrey[400] = _baseColors.grayBlue;
palette.action.active = _baseColors.grayDark;
var _default = palette;
exports["default"] = _default;