"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _normalizeJss = _interopRequireDefault(require("normalize-jss"));

var _resetJss = _interopRequireDefault(require("reset-jss"));

var _classnames = _interopRequireDefault(require("classnames"));

var _jss = _interopRequireDefault(require("../../jss"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var options = {
  isolate: false,
  index: -Infinity,
  increaseSpecificity: false
};

var Normalize = function Normalize(_ref) {
  var classes = _ref.classes,
      children = _ref.children,
      className = _ref.className,
      style = _ref.style;
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: (0, _classnames["default"])(classes.normalize, classes.reset, className),
    style: style
  }, children);
};

var _default = (0, _jss["default"])({
  normalize: _normalizeJss["default"],
  reset: _resetJss["default"]
}, options)(Normalize);

exports["default"] = _default;