"use strict";

var _expect = _interopRequireDefault(require("expect.js"));

var _ = require("../");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

// eslint-disable-next-line import/no-extraneous-dependencies
describe('grape-objects: Search', function () {
  var object = (0, _.create)('search', {
    id: '8b37ec07b198be90e8086e1065821492',
    service: 'googledrive',
    url: '(https://docs.google.com/a/ubergrape.com(/folderview?id=0B_TCKOxiyU4wNTBkNWZiNzAtZTVjZS00ZGUzLWI2ZjItZTNmMThmZjhjMDZj&usp=drivesdk)',
    type: 'file',
    name: '[>"Plans/Discussions"]'
  });
  describe('Search#toString', function () {
    it('should return correct md', function () {
      (0, _expect["default"])(object.toString()).to.be('[[>"Plans/Discussions"]](cg://googledrive|file|8b37ec07b198be90e8086e1065821492|%28https://docs.google.com/a/ubergrape.com%28/folderview?id=0B_TCKOxiyU4wNTBkNWZiNzAtZTVjZS00ZGUzLWI2ZjItZTNmMThmZjhjMDZj&usp=drivesdk%29||)');
    });
  });
});