"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _cssVendor = _interopRequireDefault(require("css-vendor"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var prefixes = {
  '::input-placeholder': "::".concat(_cssVendor["default"].prefix.css, "input-placeholder")
};

if (_cssVendor["default"].prefix.css === '-moz-') {
  prefixes['::input-placeholder'] = '::-moz-placeholder';
}

if (_cssVendor["default"].prefix.css === '-ms-') {
  prefixes['::input-placeholder'] = ':-ms-input-placeholder';
}

var _default = function _default(selector) {
  return prefixes[selector];
};

exports["default"] = _default;