"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = svg2base64;
var defaultEncoding = 'base64';
var prefix = 'data:image/svg+xml;';

function svg2base64(svg) {
  var encoding = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultEncoding;
  var encoded = svg;
  if (encoding === 'base64') encoded = btoa(svg);
  return "".concat(prefix + encoding, ",").concat(encoded);
}