"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "palette", {
  enumerable: true,
  get: function get() {
    return _palette["default"];
  }
});
Object.defineProperty(exports, "typography", {
  enumerable: true,
  get: function get() {
    return _typography["default"];
  }
});
Object.defineProperty(exports, "typographyConstants", {
  enumerable: true,
  get: function get() {
    return _typography.constants;
  }
});
exports["default"] = exports.create = void 0;

var _createMuiTheme = _interopRequireDefault(require("material-ui/styles/createMuiTheme"));

var _merge = _interopRequireDefault(require("lodash/merge"));

var _palette = _interopRequireDefault(require("./palette"));

var _zIndex = _interopRequireDefault(require("./zIndex"));

var _typography = _interopRequireWildcard(require("./typography"));

var overrides = _interopRequireWildcard(require("./overrides"));

require("./setupDefaults");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var create = function create(theme) {
  return (0, _createMuiTheme["default"])((0, _merge["default"])({
    typography: _typography["default"],
    palette: _palette["default"],
    overrides: overrides,
    zIndex: _zIndex["default"]
  }, theme));
};

exports.create = create;

var _default = create();

exports["default"] = _default;