"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.constants = void 0;

var _createTypography = _interopRequireDefault(require("material-ui/styles/createTypography"));

var _fonts = require("grape-theme/dist/fonts");

var _palette = _interopRequireDefault(require("./palette"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var constants = {
  fontFamily: "noto-sans, 'Helvetica Neue', Arial, Helvetica, sans-serif",
  fontSize: _fonts.normal.fontSize,
  fontWeightLight: 300,
  fontWeightRegular: 400,
  fontWeightMedium: 500
};
exports.constants = constants;

var _default = (0, _createTypography["default"])(_palette["default"], constants);

exports["default"] = _default;